> ## Documentation Index
> Fetch the complete documentation index at: https://docs.byblend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate a webhook secret

> Generates an authentication secret for webhook endpoints. This secret will be sent as the `Authorization: Bearer {secret}` header in all webhook deliveries, allowing you to verify webhook events as originating from Blend.



## OpenAPI

````yaml /openapi-public.yml post /api/v1/notifications/webhook-secret
openapi: 3.0.3
info:
  title: Blend API
  version: 1.0.0
  description: API for Blend
servers:
  - url: https://api.byblend.com
    description: Blend production server
security:
  - bearerAuth: []
tags:
  - name: Orders
    description: Order management endpoints
  - name: Patients
    description: Patient management endpoints
  - name: Reports
    description: Reporting endpoints
  - name: Products and Materials
    description: Product catalog and inventory endpoints
  - name: Electronic Prescriptions
    description: Electronic prescription management endpoints
  - name: Authentication
    description: Authentication endpoints
  - name: Notifications
    description: User management endpoints
  - name: Prescribers
paths:
  /api/v1/notifications/webhook-secret:
    post:
      tags:
        - Notifications
      summary: Generate a webhook secret
      description: >-
        Generates an authentication secret for webhook endpoints. This secret
        will be sent as the `Authorization: Bearer {secret}` header in all
        webhook deliveries, allowing you to verify webhook events as originating
        from Blend.
      responses:
        '200':
          description: Successful response with webhook secret
          content:
            application/json:
              schema:
                type: object
                properties:
                  webhook_secret:
                    type: string
                    description: >-
                      The authentication secret for webhook endpoints. This
                      secret will be sent as the `Authorization: Bearer
                      {secret}` header in all webhook deliveries.
                    example: >-
                      ysW1Vx2kb69fDULLgUkzisAteuBn_D3q06cb9qesq6GllVNcfqTqV1mXqFydcBcK
                  message:
                    type: string
                    description: Confirmatory message about the webhook secret.
                    example: >-
                      Webhook secret generated successfully. Update your webhook
                      endpoints to use this new secret. Secret will be sent as
                      the "Authorization: Bearer {secret}" header in all webhook
                      deliveries.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````